AbstractPatternObject (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphmatching

## Class AbstractPatternObject<T extends PropertyContainer>

- java.lang.Object
- - org.neo4j.graphmatching.AbstractPatternObject<T>

- Type Parameters:
    `T` - either `Node` or `Relationship`.
  Direct Known Subclasses:
    PatternNode, PatternRelationship

  Deprecated.

      @Deprecated
      public abstract class AbstractPatternObject<T extends PropertyContainer>
      extends Object

  The base class for `PatternNode` and `PatternRelationship`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyConstraint(String propertyKey, ValueMatcher matcher)` Deprecated. Add a constraint to the property with the given key on this pattern object.
    `T` | `getAssociation()` Deprecated. Get the `Node` or `Relationship` currently associated with this pattern object.
    `String` | `getLabel()` Deprecated. Get the label of this pattern object.
    `Iterable<Map.Entry<String,Collection<ValueMatcher>>>` | `getPropertyConstraints()` Deprecated. Get all the constraints on the properties of this pattern object.
    `void` | `setAssociation(T object)` Deprecated. Associate this object with a particular `Node` or `Relationship`.
    `void` | `setLabel(String label)` Deprecated. Sets the label of this pattern object;

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addPropertyConstraint

          public void addPropertyConstraint(String propertyKey,
                                   ValueMatcher matcher)

      Deprecated.
      Add a constraint to the property with the given key on this pattern object.
      Parameters:
        `propertyKey` - the key of the property to add a constraint to.
        `matcher` - the constraint to add on the property.

    - #### setAssociation

          public void setAssociation(T object)

      Deprecated.
      Associate this object with a particular `Node` or `Relationship`. When a pattern object is associated with an actual object it will only match that object. Set the association to `null` to remove the association.
      Parameters:
        `object` - the `Node` or `Relationship` to associate this pattern object with.

    - #### getAssociation

          public T getAssociation()

      Deprecated.
      Get the `Node` or `Relationship` currently associated with this pattern object.
      Returns:
        the `Node` or `Relationship` associated with this pattern object.

    - #### getPropertyConstraints

          public Iterable<Map.Entry<String,Collection<ValueMatcher>>> getPropertyConstraints()

      Deprecated.
      Get all the constraints on the properties of this pattern object.
      Returns:
        an iterable of all constrained properties with all constraints for each of them.

    - #### getLabel

          public String getLabel()

      Deprecated.
      Get the label of this pattern object.
      Returns:
        the label of this pattern object.

    - #### setLabel

          public void setLabel(String label)

      Deprecated.
      Sets the label of this pattern object;
      Parameters:
        `label` - the label of this pattern object;

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.